# Check APC Automatic Transfer Switch (ATS)
#
# apc_ats_power: Check the voltage and current power consumption of an APC ATS
#
# written by: Raphael Thoma <rth@open.ch>
<?php
#
$opt[1] = "--title \"ATS power consumption for $hostname\" ";
#
$def[1] =  "DEF:var1=$RRDFILE[1]:$DS[1]:AVERAGE " ;
$def[1] .=  rrd::gradient('var1','f0f0f0','00FF00','Power consumption',20);
$def[1] .= "LINE1:var1#000000 " ;
$def[1] .= "GPRINT:var1:LAST:\"%.0lf W LAST \" ";
$def[1] .= "GPRINT:var1:MAX:\"%.0lf W MAX \" ";
$def[1] .= "GPRINT:var1:AVERAGE:\"%.0lf W AVERAGE \" ";

$opt[2] = "--title \"ATS voltages for $hostname\" ";
#
$def[2] =  "DEF:var2=$RRDFILE[2]:$DS[1]:AVERAGE " ;
$def[2] .=  "DEF:var3=$RRDFILE[3]:$DS[1]:AVERAGE " ;
$def[2] .=  "DEF:var4=$RRDFILE[4]:$DS[1]:AVERAGE " ;
$def[2] .= rrd::line1("var2", "#FE9A2E", "Output Voltage");
$def[2] .= rrd::gprint("var2", array("LAST", "AVERAGE", "MAX"), "%6.2lf");
$def[2] .= rrd::line1("var3", "#58FA58", "Input A Voltage");
$def[2] .= rrd::gprint("var3", array("LAST", "AVERAGE", "MAX"), "%6.2lf");
$def[2] .= rrd::line1("var4", "#08298A", "Input B Voltage");
$def[2] .= rrd::gprint("var4", array("LAST", "AVERAGE", "MAX"), "%6.2lf");
$def[2] .= rrd::line1($MIN[2], '#ff0000');
$def[2] .= rrd::line1($MAX[2], '#ff0000');
?>

